package soot.poc.testers;

public class SimpleClass {

	private int var;
	
	public SimpleClass() {
		var = 0;
	}
	
	public int getVar()
	{
		return var;
	}
	
	public void setVar(int var)
	{
		this.var = var;
	}
	
	public void someMethod() {
		int a;
		int b;
		int x;
		int y;
		int z;
		
		x = 0;
		z = 0;
		
		y = x;
		if (y > 0) {
			x = y;
		} else {
			z = 2;
		}
		
		b = y;
		a = z;

	}

	public void someMethod1() {
		int x;
		int y;

		x = 5;
		var = x;
		y = var;
		
		while (x > 1) {
			y = x*y;
			x = x-1;
		}
	}
	
	public void someMethod2()
	{
		int x;
		int y;
		
		x = 0;
		y = 0;
		
		x = var;
		
		if (x > 0)
		{
			y = 1;
		}
		else
		{
			y = -1;
		}
		
		x = y;
		var = y;	
	}
	
}
